# $Id: smeserver-ezmlm-www.spec,v 1.4 2022/03/16 04:27:12 jpp Exp $
# Authority: picsone
# Name: Normando Hall

%define name smeserver-ezmlm-www
%define version 2.0.0
%define release 3

Summary: ezmlm-www packaged for sme server
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Other
Source: %{name}-%{version}.tar.gz
Source1: ezmlm-www-1.4.5.tar.gz
Patch0: smeserver-ezmlm-www-2.0.0-bz11909-sme10.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: perl-Mail-Box perl-User-Identity perl-TimeDate perl-Email-Simple perl-Plucene perl-KinoSearch ezmlm-web perl-Ezmlm perl-Mail-Ezmlm-Archive
BuildRequires: e-smith-devtools
BuildRequires: gcc
AutoReq: no
##BuildArchitectures: noarch

%description
ezmlm-www This project provides a useful web interface for Ezmlm
mailing list archives. It extends ezmlm-cgi.c capabilities and features
by using a modular architecture: it is fully Perl-based.

%changelog
* Tue Mar 15 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.4.5-3.sme
- build for SME10 [SME: 11909]
  use initial source and compile ourself the index.cgi
  template the two config files 
  todo improve access rights in template

* Wed Dec 5 2007 Normando Hall <nhall@unixlan.com.ar>
- first release


%define debug_package %{nil}

%prep

%setup
%setup -T -D -a 1
cp -r ezmlm-www-1.4.5/* root/opt/mailinglist
%patch0 -p1

%build
perl createlinks
#compile the c file
cd root/opt/mailinglist
cc  index.cgi.c -o index.cgi

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --file /opt/mailinglist/search/ez_indexer.pl 'attr(0755,root,root)' \
  --file /opt/mailinglist/ezmlm-www.pl 'attr(0755,root,root)' \
  --file /opt/mailinglist/index.cgi 'attr(4711,ezmlm,ezmlm)' \
> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post


%postun


%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
